SDL_GestureTouch Struct Reference
Collaboration diagram for SDL_GestureTouch:
[legend]

## Data Fields

SDL_TouchID | id
SDL_FloatPoint | centroid
SDL_DollarPath | dollarPath
Uint16 | numDownFingers
int | numDollarTemplates
SDL_DollarTemplate * | dollarTemplate
SDL_bool | recording

## Detailed Description

Definition at line 62 of file SDL_gesture.c.

## Field Documentation

## centroid

SDL_FloatPoint SDL_GestureTouch::centroid

Definition at line 64 of file SDL_gesture.c.

Referenced by SDL_GestureProcessEvent(), SDL_SendGestureDollar(), and SDL_SendGestureMulti().

## dollarPath

SDL_DollarPath SDL_GestureTouch::dollarPath

Definition at line 65 of file SDL_gesture.c.

Referenced by SDL_GestureProcessEvent().

## dollarTemplate

SDL_DollarTemplate* SDL_GestureTouch::dollarTemplate

Definition at line 69 of file SDL_gesture.c.

Referenced by dollarRecognize(), SDL_AddDollarGesture_one(), SDL_GestureProcessEvent(), SDL_SaveAllDollarTemplates(), and SDL_SaveDollarTemplate().

## id

SDL_TouchID SDL_GestureTouch::id

Definition at line 63 of file SDL_gesture.c.

Referenced by SDL_GestureAddTouch(), SDL_SendDollarRecord(), SDL_SendGestureDollar(), and SDL_SendGestureMulti().

## numDollarTemplates

int SDL_GestureTouch::numDollarTemplates

Definition at line 68 of file SDL_gesture.c.

Referenced by dollarRecognize(), SDL_AddDollarGesture_one(), SDL_SaveAllDollarTemplates(), and SDL_SaveDollarTemplate().

## numDownFingers

Uint16 SDL_GestureTouch::numDownFingers

Definition at line 66 of file SDL_gesture.c.

Referenced by SDL_GestureProcessEvent(), SDL_SendGestureDollar(), and SDL_SendGestureMulti().

## recording

SDL_bool SDL_GestureTouch::recording

Definition at line 71 of file SDL_gesture.c.

Referenced by SDL_GestureProcessEvent(), and SDL_RecordGesture().

The documentation for this struct was generated from the following file:

- src/events/SDL_gesture.c